List organization activity log
GET
List all activity logs for an organization.
ApiKeyAuthheader
Authorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
Format
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
fromDatetime?stringStarting date-time filter with ISO 8601 format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
Format
date-timetoDatetime?stringEnding date-time filter with ISO 8601 format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
Format
date-timeThe full list of activity logs for an organization with pagination
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/conversations/activitylog' \ -H 'Authorization: <API token>'{}
"data": []
{},
"id": "d85a7bd7-79da-4f10-b021-12e4c2c20024",
"conversationId": 1,
"activityTimestamp": "2021-12-01T12:46:36.581Z[GMT]",
"activityType": "ConversationAssignedActivityType",
"_type": "ConversationAssigned",
"author": {}
"id": "a53b25da-f676-4c52-acac-58c9280aa23d",
"name": "Dale Cooper",
"email": "dc@dixa.com",
"phoneNumber": "+4534343434"
{}
"id": "324d0108-31b7-4678-8862-c8780a297f8f",
"conversationId": 2,
"activityTimestamp": "2021-12-01T12:46:36.581Z[GMT]",
"activityType": "ConversationAssignedActivityType",
"_type": "ConversationAssigned",
"author": {}
"id": "67ff39b6-b1ee-4d5f-91ee-168d4668c4ba",
"name": "Bob Ross",
"email": "br@dixa.com",
"phoneNumber": "+4532323232"